aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-devel-stacktrace-ashtml/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-05-31 16:34:54 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-05-31 16:34:54 +0000
commit1572f14e0fcd7c360a8e48181055a337ecb89d76 (patch)
treeefa1493c977c95b6408b9a0c5efdfdff0a4c9a72 /testing/perl-devel-stacktrace-ashtml/APKBUILD
parentd3019d9675ea70ba2faea6153c5021aef0b2681c (diff)
downloadaports-1572f14e0fcd7c360a8e48181055a337ecb89d76.tar.gz
aports-1572f14e0fcd7c360a8e48181055a337ecb89d76.tar.bz2
aports-1572f14e0fcd7c360a8e48181055a337ecb89d76.tar.xz
testing/perl-devel-stacktrace-ashtml: new aport
Devel::StackTrace::AsHTML perl module http://search.cpan.org/dist/Devel-StackTrace-AsHTML/
Diffstat (limited to 'testing/perl-devel-stacktrace-ashtml/APKBUILD')
-rw-r--r--testing/perl-devel-stacktrace-ashtml/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/testing/perl-devel-stacktrace-ashtml/APKBUILD b/testing/perl-devel-stacktrace-ashtml/APKBUILD
new file mode 100644
index 0000000000..077c6a7cba
--- /dev/null
+++ b/testing/perl-devel-stacktrace-ashtml/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=perl-devel-stacktrace-ashtml
+pkgver=0.11
+pkgrel=0
+pkgdesc="Devel::StackTrace::AsHTML perl module"
+url="http://search.cpan.org/dist/Devel-StackTrace-AsHTML/"
+arch="noarch"
+license="GPLv2 or Artistic"
+depends="perl perl-devel-stacktrace"
+makedepends="perl-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/M/MI/MIYAGAWA/Devel-StackTrace-AsHTML-$pkgver.tar.gz"
+
+_builddir="$srcdir"/Devel-StackTrace-AsHTML-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make && make test || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="46ff8282d671f63e6a5f48bf45d86bbb Devel-StackTrace-AsHTML-0.11.tar.gz"